Subject: [Geopriv] Geo-URI: Parameter Registry really needed?

From: "Alexander Mayrhofer" <[email-masked]>
Date: Mon, 3 Aug 2009 15:21:08 +0200

I've started working on a new revision of the "geo" URI draft. I have
tried to find examples for URI registrations that also create an IANA
registry for parameters.

Surprisingly enough, only "sip" and "tel" seems to have a registry, even
though there are dozens of URI schemes defined, with many of them having
";key=value" parameters specified.

Both URI schemes mentioned have an extensive set of documents and
parameters ("sip" has 25 parameters, specified in 8 documents, "tel" has
12 parameters, specified in 5 documents), while we have only 2
parameters, specified in one document. Both "sip" and "tel" Registry
were only specified once it was clear there would be more parameters
than those contained in the base spec.

So, why don't we attack the problem once it exists, instead of burdening
both the spec and IANA with the definition of such an "empty" registry?

Opinions?

Alex